package net.sf.itcb.common.portlet.vaadin.exception;

import com.vaadin.ui.Panel;

/**
 * This interface has to be implemented for each ExceptionHandler
 * @author Pierre Le Roux
 *
 */
public abstract class ExceptionHandler {
	
	/**
	 * Handle an exception using the panel in parameter
	 * @param e the exception
	 * @param panel the vaadin panel (mainWindow...)
	 */
	public abstract void handleException(Throwable e, Panel panel);
}
